Chez oim, forum libreChez oim, forum libre

 


Pages: 1 ... 33 34 35 [36] 37 38 39 ... 42   En bas

Auteur Sujet: Discussions autour de Wamp avec un de ses créateurs, Otomatic  (Lu 10714 fois)

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.738
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #524 le: jeudi 30 mai 2019, 12:33 »
le: jeudi 30 mai 2019, 12:33

Ah oui, j'ai vu PHP 7.1.30 dans mes surveillances d'updates hier ou avant-hier. :)
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.279
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #525 le: jeudi 30 mai 2019, 15:27 »
le: jeudi 30 mai 2019, 15:27

Bonjour,

PHP 7.1.30, 7.2.19, 7.3.6 32 & 64 bit

Bonjour,

Ici la version 7.2.19 ne fonctionne pas du tout.

Toutes les autres versions fonctionnent sans soucis et pour la 7.2 j'ai laissé la 7.2.17 qui fonctionne très bien :)

Edit :

Ne fonctionne pas non plus avec une version venant du dépôt de php compilée pour win ts :)
IP archivée
Amitiés et à bientôt...
Have a nice day...

Otomatic

  • Observateur
  • Maitre orateur
  • ****
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 471
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #526 le: jeudi 30 mai 2019, 16:32 »
le: jeudi 30 mai 2019, 16:32

Ne fonctionne pas non plus avec une version venant du dépôt de php compilée pour win ts
Bonjour,

Toutes mes versions PHP proviennent de chez php.net et toutes en TS (Thread Safe) : https://windows.php.net/download/ auxquelles j'ajoute :
- php.ini et phpForApache.ini (mis à jour par rapport à php.ini-development)
- wampserver.conf
- dossier zend_ext\ comportant le fichier dll php_xdebug...
puis réécriture de différents chemins dans php.ini et phpForApache.ini en fonction du chemin d'installation de l'addon.

Pour un de mes sites locaux, PHP 7.2.19 (mais pas les autres versions) donne une erreur que je vais investiguer pour éventuellement faire un rapport de bug.

IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.738
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #527 le: jeudi 30 mai 2019, 16:40 »
le: jeudi 30 mai 2019, 16:40

Boulette de PHP à la compilation ? :-\
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.279
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #528 le: jeudi 30 mai 2019, 17:17 »
le: jeudi 30 mai 2019, 17:17

Boulette de PHP à la compilation ? :-\

Bonjour,

A mon avis oui mais il faut voir plus en profondeur.

Tu ne l'as pas essayé en mode "libre" sur ta cfg ?

:)
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.738
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #529 le: jeudi 30 mai 2019, 17:24 »
le: jeudi 30 mai 2019, 17:24

PHP 7.2.19 ? Non, j'ai pas essayé. :iz:

Là, je suis sur le respect complet de la vie privée sur le site.
Je verrai PHP après. Il ne me reste plus que 6 jeux flash à faire et je serai zéro tracking, rien, nada ! :)

Je vais pouvoir afficher la certification Do Not Track (DNT-01). :ic:
IP archivée

Otomatic

  • Observateur
  • Maitre orateur
  • ****
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 471
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #530 le: vendredi 31 mai 2019, 09:55 »
le: vendredi 31 mai 2019, 09:55

Bonjour,

Il y a bien un problème ou même plusieurs avec PHP 7.2.19.

Il y a aussi des nouvelles versions Apache 2.4.39 :

La version — toujours nommée 2.4.39 — du 28 mai 2019 est une recompilation avec :
*) Upgraded APR to 1.7.0 from 1.6.5 and applied fix 1856873
*) Upgraded Curl to 7.65.0 from 7.64.1
*) VS16/VC15 Upgraded OpenSSL to 1.1.1c from 1.1.1b
*) VC14 Upgraded OpenSSL to 1.0.2s from 1.0.2r
*) Upgraded nghttp2 to 1.38.0 from 1.37.0

Il existe aussi une version — toujours nommée 2.4.39 — aussi du 28 mai 2019 mais compilée VS16 au lieu de VC15.
Je ne sortirais pas d'addon Apache 2.4.39a ou 2.4.39b
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.279
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #531 le: vendredi 31 mai 2019, 10:37 »
le: vendredi 31 mai 2019, 10:37

Bonjour,

Avec tous ces numéros de versions cela devient assez bordélique surtout que cela ne représente rien d'évident ni de concret pour le moment. On garde le même numéro de version sur des mises à jour mineures ou majeures et pour finir on va se planter dans tout ce joyeux bazard.

Pour Php 7.2.19 il serait préférable de la retirer des mises à jour pour le moment sinon tu vas avoir une vague de problèmes sur le support inutile. Il faudra faire l'impasse sur cette version de Php et repartir sur une mise à jour correcte de la part de Php.

:)
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.738
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #532 le: vendredi 31 mai 2019, 18:50 »
le: vendredi 31 mai 2019, 18:50

Avec trois versions d'Apache, ça va être rigolo si elles ne sont pas identifiables (2.4.39a, b, etc.)

- J'ai un problème avec Apache 2.4.39
- Lequel de Apache ?
- Ben 2.4.39 !
- Oui mais lequel ? celui du début du mois ou de la fin ?

 :D

Quand on sort une nouvelle version, on l'identifie, sinon c'est le bordel garanti !
IP archivée

JCFM

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.381
  • Choléra officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #533 le: samedi 01 juin 2019, 13:07 »
le: samedi 01 juin 2019, 13:07

Bonjour,

Il y a bien un problème ou même plusieurs avec PHP 7.2.19.

Il y a aussi des nouvelles versions Apache 2.4.39 :

La version — toujours nommée 2.4.39 — du 28 mai 2019 est une recompilation avec :
*) Upgraded APR to 1.7.0 from 1.6.5 and applied fix 1856873
*) Upgraded Curl to 7.65.0 from 7.64.1
*) VS16/VC15 Upgraded OpenSSL to 1.1.1c from 1.1.1b
*) VC14 Upgraded OpenSSL to 1.0.2s from 1.0.2r
*) Upgraded nghttp2 to 1.38.0 from 1.37.0

Il existe aussi une version — toujours nommée 2.4.39 — aussi du 28 mai 2019 mais compilée VS16 au lieu de VC15.
Je ne sortirais pas d'addon Apache 2.4.39a ou 2.4.39b

 :ik: à toutes et tous !
Oh, mince, plusieurs versions d'Apache 2.4.39 !
Mince !
Mort de rire !
IP archivée
Jean Claude :gt: Le "Choléra" officiel de chez Oim ! Alcoolique invétéré !

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.738
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #534 le: samedi 01 juin 2019, 19:12 »
le: samedi 01 juin 2019, 19:12

C'est une version Apache 2.4.lol ^-^
IP archivée

JCFM

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.381
  • Choléra officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #535 le: samedi 01 juin 2019, 21:16 »
le: samedi 01 juin 2019, 21:16

C'est une version Apache 2.4.lol ^-^
Salut ! Tu as très bien compris !
Il me semble avoir déposé un message sur le sujet !
Mais bon, j'avais écris que je n'interviendrais pas sur ce sujet, mais je rigole !
IP archivée
Jean Claude :gt: Le "Choléra" officiel de chez Oim ! Alcoolique invétéré !

Otomatic

  • Observateur
  • Maitre orateur
  • ****
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 471
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #536 le: mardi 18 juin 2019, 10:58 »
le: mardi 18 juin 2019, 10:58

Bonjour à tous,

MariaDB 10.2.25 et 10.3.16 32 & 64 bit.
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.738
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #537 le: mardi 18 juin 2019, 13:03 »
le: mardi 18 juin 2019, 13:03

Tiens ?
De nouvelles versions de MariaDB ?
Tu devrais mettre les liens avec, ça irait plus vite. On pourrait consulter directement la page. ;)
IP archivée

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 18.738
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #538 le: mardi 18 juin 2019, 13:55 »
le: mardi 18 juin 2019, 13:55

Avant que je ressorte, juste une chose en vitesse.

Avec Xdebug, tu as fait une boulette avec au moins PHP 7.1.16.
Je te montre un exemple :

Code
php bin\phpunit --coverage-html debug/tests-coverage

Cannot load Xdebug - it was built with configuration API320160303,TS,VC14, whereas running engine is API320160303,NTS,VC14
En 2 mots, ça veut dire que la version de Xdebug utilisée est une "Thread Safe" alors que PHP tourne en "Non Thread Safe"...

Il a donc fallu que je charge la version de Xdebug "Non Thread Safe" sur le site dédié https://xdebug.org/.
Pour ceux qui ne connaissent pas, ça risque de faire du foin...
Surtout si tu as fait la même boulette avec toutes les versions de PHP. :roh:
IP archivée

Otomatic

  • Observateur
  • Maitre orateur
  • ****
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 471
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #539 le: mardi 18 juin 2019, 14:32 »
le: mardi 18 juin 2019, 14:32

alors que PHP tourne en "Non Thread Safe"...
Aucune des 248 versions de PHP disponibles pour Wampserver n'est NTS. Si tu as une version PHP NTS, a priori, elle ne provient pas des addons PHP pour Wampserver. De plus une version PHP NTS pose de gros problèmes sous Windows.

J'ai même réinstallé PHP 7.1.16 et, pour les deux versions 32 et 64 bit, la commande : php -i | findstr "Thread" donne bien comme réponse :
Code
J:\wamp64\bin\php\php7.1.16>php -i | findstr "Thread"
Thread Safety => enabled
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche
Pages: 1 ... 33 34 35 [36] 37 38 39 ... 42   En haut
 

+ Réponse Rapide

Page générée en 0.118 secondes avec 25 requêtes.